package com.css.txw.gxzx.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.css.txw.gxzx.pojo.domain.TxwGxzxShqkbDO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.css.txw.gxzx.pojo.vo.*;

import java.util.List;

/**
* @author AirlH
* @description 针对表【txw_gxzx_shqkb(审核情况表)】的数据库操作Service
* @createDate 2025-09-12 15:19:45
*/
public interface TxwGxzxShqkbService extends IService<TxwGxzxShqkbDO> {

    List<ShqkxxVO> gxfbList();

    String gxfbSp(GxspReqVO reqVO);

    Page<GxxxVO> gxxxList(GxxxReqVO reqVO);

    List<String> getQyuuidsByBq(GxxxReqVO reqVO);

    Page<GxxxVO>  gxxxListByYh(GxxxReqVO reqVO);

    Page<GxxxVO> getGxSqList(GetGxSqListReqVO reqVO);
}
